from pydantic import BaseModel, ValidationError
from dataclasses import dataclass, asdict
from typing import List


@dataclass
class AgentConfig(BaseModel):
    chatroomIdWhiteList: List[str] = []
    agentTokenId: str
    agentEnabled: bool
    addContactsFromChatroomIdWhiteList: List[str] = []
    chatWaitingMsgEnabled: bool